### remember to update the version number in SOURCE2!
%define __os_install_post %{nil}
%define gtbdir /opt/GTB

Name:	    GTB
Version:   3.300
Release:	%mkrel 1
License:  	Proprietary
Group:		Sciences/Geosciences
Summary:	GuidosToolbox Image Analysis
URL:		     https://forest.jrc.ec.europa.eu/activities/lpa/gtb/
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
Source1:    %{name}-%{version}.tar.xz
Source2:    guidostoolbox
Requires:	   gdal
Requires:	   mupdf
Requires:	   proj
Requires:	   inxi
Requires:   bc
Requires:   sed
Requires:   xset
Requires:   bash
Requires:   which
Requires:   xdg-utils
Requires:   xdpyinfo
Requires:   libgomp1
#we do not want this package to provide any library files to rpm
AutoReqProv:    no

%description
GuidosToolbox (GTB) contains various raster image analysis
tools for measuring image object attributes, such as accounting, 
distance, fragmentation, pattern, recoding, etc.

%prep
%setup -T -n %{name} -c

%build
#nobuild

%install
export DONT_STRIP=1
rm -rf %buildroot
mkdir -p %buildroot

# extract data
mkdir -p %buildroot/opt
tar -xf %{SOURCE1} -C %{buildroot}/opt
mv %{buildroot}/opt/GuidosToolbox %{buildroot}/%{gtbdir}

mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/guidostoolbox
ln -sf /usr/bin/guidostoolbox %{buildroot}%{_bindir}/GTB

mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 0644 %{buildroot}/%{gtbdir}/idl/save_add/guidos_progs/guidos.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%_datadir/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=GuidosToolbox
GenericName=GuidosToolbox
Type=Application
Exec=guidostoolbox
TryExec=guidostoolbox
Icon=%{name}.png
Comment=Raster Image Analysis Toolbox
Categories=Education;Math;X-MandrivaLinux-MoreApplications-Sciences-Mathematics;
Terminal=false
StartupNotify=true
EOF

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%posttrans
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/GuidosToolbox; done
for idx in $SYSUSERS
 do INP1= cp -fr /opt/GTB/* /home/$idx/GuidosToolbox; done
for idx in $SYSUSERS
 do INP1= chown -R $idx:$(id -gn $idx) /home/$idx/GuidosToolbox; done


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/guidostoolbox
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/%{name}


%changelog
* Mon Dec 18 2023 pp <pp> 3.300-1pclos2023
- new version

* Thu Oct 19 2023 pp <pp> 3.202-1pclos2023
- new version

* Fri Oct 20 2023 pp <pp> 3.202-1pclos2023
- new version

* Tue Jul 11 2023 pp <pp> 3.200-1pclos2023
- new version

* Sat Apr 22 2023 pp <pp> 3.103-1pclos2023
- new version

* Wed Jan 04 2023 pp <pp> 3.102-1pclos2023
- new version

* Tue Dec 06 2022 pp <pp> 3.101-1pclos2022
- new version

* Fri Jul 22 2022 pp <pp> 3.100-1pclos2022
- new version

* Mon May 16 2022 pp <pp> 3.006-1pclos2022
- new version

* Tue Apr 12 2022 pp <pp> 3.005-1pclos2022
- new version

* Wed Mar 08 2022 pp <pp> 3.004-1pclos2022
- new version
- added DONT_STRIP and posttrans

* Wed May 12 2021 pp <pp> 3.002-1pclos2021
- update

* Tue May 04 2021 pp <pp> 3.001-1pclos2021
- update

* Sun Oct 04 2020 pp <pp> 3.0-1pclos2020
- update

* Thu Jan 30 2020 pp <pp> 2.901-1pclos2020
- update

* Wed Sep 18 2019 pp <pp> 2.900-1pclos2019
- update
- remove 32bit stuff

* Thu Dec 13 2018 pp <pp> 2.800-1pclos2018
- update

* Mon Sep 03 2018 pp <pp> 2.702-1pclos2018
- initial package
